## edu.stanford.nlp.trees.tregex.gui
Class InputPanel.HistoryEntry

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.InputPanel.HistoryEntry

Enclosing class:
  InputPanel

    public static class InputPanel.HistoryEntry

extends Object

Simple class for storing history objects that go nicely into a toString for saving

Author:
  rafferty

Constructor Summary
`InputPanel.HistoryEntry(String pattern, int numTreesMatched, int numMatches)`

Method Summary
`static String[]` `columnNamesArray()`
`static String` `header()` Gets the string header indicating the fields included in a HistoryEntry string representation
`Object[]` `toArray()` Returns an array with pattern as the first entry, numTreesMatched as the second, and numMatches as the third
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputPanel.HistoryEntry

    public InputPanel.HistoryEntry(String pattern,
                                   int numTreesMatched,
                                   int numMatches)

Method Detail

### toArray

    public Object[] toArray()

  Returns an array with pattern as the first entry, numTreesMatched as the second, and numMatches as the third

  Returns:
    An array with pattern as the first entry, numTreesMatched as the second, and numMatches as the third

### columnNamesArray

    public static String[] columnNamesArray()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### header

    public static String header()

  Gets the string header indicating the fields included in a HistoryEntry string representation

  Returns:
    A String header

Stanford NLP Group